#
# (C) Tenable Network Security
#

 desc["english"] = "
Synopsis :

The remote web server contains a web-based source code management
application. 

Description :

The remote host is running CVSTrac, a web-based bug and patch-set
tracking system for CVS. 

See also :

http://www.cvstrac.org/

Risk factor :

None";


if(description)
{
 script_id(15722);
 script_version("$Revision: 1.3 $");
 
 name["english"] = "CVSTrac Detection";
 script_name(english:name["english"]);
 
 script_description(english:desc["english"]);
 
 summary["english"] = "Detects the presence of CVSTrac";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2004-2007 Tenable Network Security");
 family["english"] = "CGI abuses";
 script_family(english:family["english"]);
 script_dependencie("http_version.nasl");
 script_require_ports("Services/www", 80);
 script_exclude_keys("Settings/disable_cgi_scanning");
 exit(0);
}

#
# The script code starts here
#


include("global_settings.inc");
include("http_func.inc");
include("http_keepalive.inc");

port = get_http_port(default:80);

if(!get_port_state(port))exit(0);
if(!can_host_php(port:port))exit(0);

dirs = "";


function check(loc)
{
 local_var line, r, req, version, version_str;

 req = http_get(item:string(loc, "/index"), port:port);

 r = http_keepalive_send_recv(port:port, data:req, bodyonly:1);
 if( r == NULL )exit(0);
 line = egrep(pattern:"<a href=.about.>CVSTrac version .*", string:r);
 if ( line ) 
 {
	version_str = chomp(line);
 	version = ereg_replace(pattern:"<a href=.about.>CVSTrac version ([0-9.]*)</a>", string:version_str, replace:"\1");
	if ( version == version_str ) version = "unknown";
	if ( loc == "" ) loc = "/";
	set_kb_item(name:"www/" + port + "/cvstrac",
		    value:version + " under " + loc );
	
	dirs += " - " + loc + '\n';
 }
}

# Loop through directories.
if (thorough_tests) check_dirs = make_list("/cvstrac", cgi_dirs());
else check_dirs = make_list(cgi_dirs());

foreach dir (check_dirs)
{
 check(loc:dir);
}

if ( dirs ) 
{
  report = string(
    desc["english"],
    "\n\n",
    "Plugin output :\n",
    "\n",
    "CVSTrac is installed under the following location(s) :\n",
    "\n",
    dirs
  );
  security_note(port:port, data:report);
}
