# This script was automatically generated from the dsa-1204
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that the Ingo email filter rules manager performs 
insufficient escaping of user-provided data in created procmail rules
files, which allows the execution of arbitrary shell commands.
For the stable distribution (sarge), this problem has been fixed in
version 1.0.1-1sarge1.
For the unstable distribution (sid), this problem has been fixed in
version 1.1.2-1.
We recommend that you upgrade your ingo1 package.


Solution : http://www.debian.org/security/2006/dsa-1204
Risk factor : High';

if (description) {
 script_id(22936);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1204");
 script_cve_id("CVE-2006-5449");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1204] DSA-1204-1 ingo1");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1204-1 ingo1");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'ingo1', release: '3.1', reference: '1.0.1-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package ingo1 is vulnerable in Debian 3.1.\nUpgrade to ingo1_1.0.1-1sarge1\n');
}
if (deb_check(prefix: 'ingo1', release: '4.0', reference: '1.1.2-1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package ingo1 is vulnerable in Debian 4.0.\nUpgrade to ingo1_1.1.2-1\n');
}
if (deb_check(prefix: 'ingo1', release: '3.1', reference: '1.0.1-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package ingo1 is vulnerable in Debian sarge.\nUpgrade to ingo1_1.0.1-1sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
