# This script was automatically generated from the dsa-1221
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
"infamous41md" discovered a heap buffer overflow vulnerability in
libgsf, a GNOME library for reading and writing structured file
formats, which could lead to the execution of arbitrary code.
For the stable distribution (sarge) this problem has been fixed in
version 1.11.1-1sarge1.
For the unstable distribution (sid) this problem has been fixed in
version 1.14.2-1.
We recommend that you upgrade your libgsf packages.


Solution : http://www.debian.org/security/2006/dsa-1221
Risk factor : High';

if (description) {
 script_id(23743);
 script_version("$Revision: 1.3 $");
 script_xref(name: "DSA", value: "1221");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1221] DSA-1221-1 libgsf");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1221-1 libgsf");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'libgsf-1', release: '3.1', reference: '1.11.1-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgsf-1 is vulnerable in Debian 3.1.\nUpgrade to libgsf-1_1.11.1-1sarge1\n');
}
if (deb_check(prefix: 'libgsf-1-dbg', release: '3.1', reference: '1.11.1-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgsf-1-dbg is vulnerable in Debian 3.1.\nUpgrade to libgsf-1-dbg_1.11.1-1sarge1\n');
}
if (deb_check(prefix: 'libgsf-1-dev', release: '3.1', reference: '1.11.1-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgsf-1-dev is vulnerable in Debian 3.1.\nUpgrade to libgsf-1-dev_1.11.1-1sarge1\n');
}
if (deb_check(prefix: 'libgsf-gnome-1', release: '3.1', reference: '1.11.1-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgsf-gnome-1 is vulnerable in Debian 3.1.\nUpgrade to libgsf-gnome-1_1.11.1-1sarge1\n');
}
if (deb_check(prefix: 'libgsf-gnome-1-dbg', release: '3.1', reference: '1.11.1-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgsf-gnome-1-dbg is vulnerable in Debian 3.1.\nUpgrade to libgsf-gnome-1-dbg_1.11.1-1sarge1\n');
}
if (deb_check(prefix: 'libgsf-gnome-1-dev', release: '3.1', reference: '1.11.1-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgsf-gnome-1-dev is vulnerable in Debian 3.1.\nUpgrade to libgsf-gnome-1-dev_1.11.1-1sarge1\n');
}
if (deb_check(prefix: 'libgsf', release: '4.0', reference: '1.14.2-1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgsf is vulnerable in Debian 4.0.\nUpgrade to libgsf_1.14.2-1\n');
}
if (deb_check(prefix: 'libgsf', release: '3.1', reference: '1.11.1-1sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgsf is vulnerable in Debian sarge.\nUpgrade to libgsf_1.11.1-1sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
