#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24157);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-2223", "CVE-2006-2224");
 
 name["english"] = "Fedora Core 5 2006-845: quagga";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2006-845 (quagga).

Quagga is a free software that manages TCP/IP based routing
protocol. It takes multi-server and multi-thread approach to resolve
the current complexity of the Internet.

Quagga supports BGP4, BGP4+, OSPFv2, OSPFv3, RIPv1, RIPv2, and RIPng.

Quagga is intended to be used as a Route Server and a Route Reflector. It is
not a toolkit, it provides full routing power under a new architecture.
Quagga by design has a process for each protocol.

Quagga is a fork of GNU Zebra.



Update information :

* Mon May  8 2006 Jay Fenlason <fenlason redhat com> 0:0.98.6-1.FC5
- Upgrade to new upstream version, closing security problems:
bz#191081 CVE-2006-2223 Quagga RIPd information disclosure
bz#191085 CVE-2006-2224 Quagga RIPd route injection



Solution : Get the newest Fedora Updates
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the quagga package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"quagga-0.98.6-1.FC5", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_exists(rpm:"quagga-", release:"FC5") )
{
 set_kb_item(name:"CVE-2006-2223", value:TRUE);
 set_kb_item(name:"CVE-2006-2224", value:TRUE);
}
