#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24160);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-3627", "CVE-2006-3628", "CVE-2006-3629", "CVE-2006-3630", "CVE-2006-3631", "CVE-2006-3632");
 
 name["english"] = "Fedora Core 5 2006-860: wireshark";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2006-860 (wireshark).

Wireshark is a network traffic analyzer for Unix-ish operating systems.

This package lays base for libpcap, a packet capture and filtering
library, contains command-line utilities, contains plugins and
documentation for wireshark. A graphical user interface is packaged
separately to GTK+ package.

Update Information:

Versions affected: 0.8.16 up to and including 0.99.0
Details
Description
Wireshark 0.99.2 fixes the following vulnerabilities:


Update information :

* The GSM BSSMAP dissector could crash. Versions
affected: 0.10.11. CVE:
CVE-2006-3627

Ilja van Sprundel discovered the following vulnerabilities:



Solution : Get the newest Fedora Updates
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the wireshark package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"wireshark-0.99.2-fc5.2", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_exists(rpm:"wireshark-", release:"FC5") )
{
 set_kb_item(name:"CVE-2006-3627", value:TRUE);
 set_kb_item(name:"CVE-2006-3628", value:TRUE);
 set_kb_item(name:"CVE-2006-3629", value:TRUE);
 set_kb_item(name:"CVE-2006-3630", value:TRUE);
 set_kb_item(name:"CVE-2006-3631", value:TRUE);
 set_kb_item(name:"CVE-2006-3632", value:TRUE);
}
