#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24186);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-6870");
 
 name["english"] = "Fedora Core 6 2007-019: avahi";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2007-019 (avahi).

Avahi is a system which facilitates service discovery on
a local network -- this means that you can plug your laptop or
computer into a network and instantly be able to view other people who
you can chat with, find printers to print to or find files being
shared. This kind of technology is already found in MacOS X (branded
'Rendezvous', 'Bonjour' and sometimes 'ZeroConf') and is very
convenient.

Update Information:

This update shoul fix CVE-2006-6870 reported in #221440.


Solution : Get the newest Fedora Updates
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the avahi package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"avahi-glib-0.6.16-1.fc6", release:"FC6") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"avahi-qt3-0.6.16-1.fc6", release:"FC6") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"avahi-0.6.16-1.fc6", release:"FC6") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_exists(rpm:"avahi-", release:"FC6") )
{
 set_kb_item(name:"CVE-2006-6870", value:TRUE);
}
