#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#

 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2007-262 (ekiga).

GnomeMeeting is a tool to communicate with video and audio over the internet.
It uses the the standard SIP and H323 protocols.

Update Information:

A format string flaw was found in the way Ekiga processes
certain messages form remote clients.  This flaw could
potentially allow a remote attacker to execute arbitrary
code as the user running Ekiga.


Solution : Get the newest Fedora Updates
Risk factor : High";

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24693);
 script_version ("$Revision: 1.1 $");
 
 name["english"] = "Fedora Core 5 2007-262: ekiga";
 
 script_name(english:name["english"]);
 



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the ekiga package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");

if ( rpm_check( reference:"ekiga-2.0.1-4", release:"FC5") )
{
 security_hole(0);
 exit(0);
}
