#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#

 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2007-263 (ekiga).

Ekiga is a tool to communicate with video and audio over the internet.
It uses the standard SIP and H323 protocols.

Update Information:

A format string flaw was found in the way Ekiga
processes certain messages. If a user is running Ekiga, a
remote attacker who can connect to Ekiga could trigger this
flaw and potentially execute arbitrary code with the
privileges of the user.


Solution : Get the newest Fedora Updates
Risk factor : High";

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24694);
 script_version ("$Revision: 1.1 $");
 
 name["english"] = "Fedora Core 6 2007-263: ekiga";
 
 script_name(english:name["english"]);
 



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the ekiga package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");

if ( rpm_check( reference:"ekiga-2.0.5-2.fc6", release:"FC6") )
{
 security_hole(0);
 exit(0);
}
