# This script was automatically generated from 
#  http://www.gentoo.org/security/en/glsa/glsa-200705-04.xml
# It is released under the Nessus Script Licence.
# The messages are release under the Creative Commons - Attribution /
# Share Alike license. See http://creativecommons.org/licenses/by-sa/2.0/
#
# Avisory is copyright 2001-2006 Gentoo Foundation, Inc.
# GLSA2nasl Convertor is copyright 2004 Michel Arboi <mikhail@nessus.org>

if (! defined_func('bn_random')) exit(0);

if (description)
{
 script_id(25154);
 script_version("$Revision: 1.1 $");
 script_xref(name: "GLSA", value: "200705-04");
 script_cve_id("CVE-2007-1349");

 desc = 'The remote host is affected by the vulnerability described in GLSA-200705-04
(Apache mod_perl: Denial of Service)


    Alex Solvey discovered that the "path_info" variable used in file
    RegistryCooker.pm (mod_perl 2.x) or file PerlRun.pm (mod_perl 1.x), is
    not properly escaped before being processed.
  
Impact

    A remote attacker could send a specially crafted URL to the vulnerable
    server, possibly resulting in a massive resource consumption.
  
Workaround

    There is no known workaround at this time.
  
References:
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-1349


Solution: 
    All mod_perl 1.x users should upgrade to the latest version:
    # emerge --sync
    # emerge --ask --oneshot --verbose ">=www-apache/mod_perl-1.30"
    All mod_perl 2.x users should upgrade to the latest version:
    # emerge --sync
    # emerge --ask --oneshot --verbose ">=www-apache/mod_perl-2.0.3-r1"
  

Risk factor : Medium
';
 script_description(english: desc);
 script_copyright(english: "(C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[GLSA-200705-04] Apache mod_perl: Denial of Service");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Gentoo Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys('Host/Gentoo/qpkg-list');
 script_summary(english: 'Apache mod_perl: Denial of Service');
 exit(0);
}

include('qpkg.inc');
if (qpkg_check(package: "www-apache/mod_perl", unaffected: make_list("ge 2.0.3-r1", "rge 1.30"), vulnerable: make_list("lt 2.0.3-r1")
)) { security_warning(0); exit(0); }
