#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKA-2006:067
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24538);
 script_version ("$Revision: 1.1 $");
 
 name["english"] = "MDKA-2006:067: lsb";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKA-2006:067 (lsb).

When the xorg-x11 package was broken up into subpackages, libGL.so.1,
which is required by LSB, ended up not being a requirement of the lsb
meta-package.
This update corrects this issue and should allow lsblibchk to run
without failures.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKA-2006:067
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the lsb package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"lsb-3.1-7.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"lsb-core-3.1-7.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"lsb-qt4-3.1-7.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"lsb-test-3.1-7.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
