#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKA-2007:009
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24546);
 script_version ("$Revision: 1.1 $");
 
 name["english"] = "MDKA-2007:009: perl-SOAP-Lite";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKA-2007:009 (perl-SOAP-Lite).

SOAP::Lite makes use of auto-generated methods with names that clash
with methods exported by UNIVERSAL::require. As a result, using the
two modules simultaneously will result in an immediate program crash.
The package has been patched with an upstream fix to correct the issue.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKA-2007:009
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the perl-SOAP-Lite package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"perl-SOAP-Lite-0.69-2.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"perl-SOAP-Lite-0.69-2.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
