#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKA-2007:023
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25031);
 script_version ("$Revision: 1.1 $");
 
 name["english"] = "MDKA-2007:023: autofs";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKA-2007:023 (autofs).

A bug in the autofs master map parsing made it impossible to refer
to LDAP mount maps there. This update fixes the issue.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKA-2007:023
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the autofs package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"autofs-5.0.1-0.rc3.1.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
