#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKSA-2007:102
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25212);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2007-1864", "CVE-2007-2509", "CVE-2007-2510", "CVE-2007-2511");
 
 name["english"] = "MDKSA-2007:102: php";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKSA-2007:102 (php).

A heap buffer overflow flaw was found in the xmlrpc extension for PHP.
A script that implements an XML-RPC server using this extension could
allow a remote attacker to execute arbitrary code as the apache user.
This flaw does not, however, affect PHP applications using the pure-PHP
XML_RPC class provided via PEAR (CVE-2007-1864).
A flaw was found in the ftp extension for PHP. A script using
this extension to provide access to a private FTP server and which
passed untrusted script input directly to any function provided by
this extension could allow a remote attacker to send arbitrary FTP
commands to the server (CVE-2007-2509).
A buffer overflow flaw was found in the soap extension for PHP
in the handling of an HTTP redirect response when using the SOAP
client provided by the extension with an untrusted SOAP server
(CVE-2007-2510).
A buffer overflow in the user_filter_factory_create() function has
unknown impact and local attack vectors (CVE-2007-2511).
Updated packages have been patched to prevent this issue.

Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2007:102
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the php package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"libphp5_common5-5.1.6-1.8mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"php-cgi-5.1.6-1.8mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"php-cli-5.1.6-1.8mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"php-devel-5.1.6-1.8mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"php-fcgi-5.1.6-1.8mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"php-ftp-5.1.6-1.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"php-soap-5.1.6-1.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"php-xmlrpc-5.1.6-1.1mdv2007.0", release:"MDK2007.0", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"libphp5_common5-5.2.1-4.2mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"php-cgi-5.2.1-4.2mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"php-cli-5.2.1-4.2mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"php-devel-5.2.1-4.2mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"php-fcgi-5.2.1-4.2mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"php-ftp-5.2.1-1.1mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"php-openssl-5.2.1-4.2mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"php-soap-5.2.1-1.1mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"php-xmlrpc-5.2.1-1.1mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"php-zlib-5.2.1-4.2mdv2007.1", release:"MDK2007.1", yank:"mdv") )
{
 security_hole(0);
 exit(0);
}
if (rpm_exists(rpm:"php-", release:"MDK2007.0")
 || rpm_exists(rpm:"php-", release:"MDK2007.1") )
{
 set_kb_item(name:"CVE-2007-1864", value:TRUE);
 set_kb_item(name:"CVE-2007-2509", value:TRUE);
 set_kb_item(name:"CVE-2007-2510", value:TRUE);
 set_kb_item(name:"CVE-2007-2511", value:TRUE);
}
