#
# (C) Tenable Network Security, Inc.
#


if (description)
{
  script_id(25198);
  script_version("$Revision: 1.3 $");

  script_cve_id("CVE-2007-2583");
  script_bugtraq_id(23911);

  script_name(english:"MySQL IF Query Denial of Service Vulnerability");
  script_summary(english:"Checks version of MySQL");

  desc = "
Synopsis :

The remote database server is prone to a denial of service attack. 

Description :

The version of MySQL installed on the remote host reportedly is
affected by a denial of service vulnerability that may be triggered
with a specially crafted IF query.  An attacker who can execute
arbitrary SELECT statements may be able to leverage this issue to
crash the affected service. 

See also :

http://bugs.mysql.com/bug.php?id=27513

Solution :

Upgrade to MySQL version 5.0.40 or later.

Risk factor : 

Low / CVSS Base Score : 1.4
(AV:R/AC:L/Au:R/C:N/I:N/A:P/B:N)";
  script_description(english:desc);
 
  script_category(ACT_GATHER_INFO);
  script_family(english:"Databases");

  script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc.");

  script_dependencie("mysql_version.nasl");
  script_require_ports("Services/mysql", 3306);

  exit(0);
}


include("global_settings.inc");
include("misc_func.inc");


# Banner checks of MySQL are prone to false-positives so we only
# run the check if reporting is paranoid.
if (report_paranoia < 2) exit(0);


port = get_kb_item("Services/mysql");
if (!port) port = 3306;
if (!get_tcp_port_state(port)) exit(0);


ver = get_mysql_version(port:port);
if (
  ver && 
  ereg(pattern:"^5\.(0\.([0-9]|[1-3][0-9])|1\.([0-9]|1[1-7]))($|[^0-9])", string:ver)
) security_note(port);
