#
# (C) Tenable Network Security
#
#
# The text of this plugin is (C) Red Hat Inc.

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24318);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2007-0494");

 name["english"] = "RHSA-2007-0044: bind";
 
 script_name(english:name["english"]);
 
 desc["english"] = '

  Updated bind packages that fix a security issue and a bug are now
  available.

  This update has been rated as having moderate security impact by the Red
  Hat Security Response Team.

  ISC BIND (Berkeley Internet Name Domain) is an implementation of the DNS
  (Domain Name System) protocols.

  A flaw was found in the way BIND processed certain DNS query responses. On
  servers that had enabled DNSSEC validation, this could allow an remote
  attacker to cause a denial of service. (CVE-2007-0494)

  For users of Red Hat Enterprise Linux 3, the previous BIND update caused an
  incompatible change to the default configuration that resulted in rndc not
  sharing the key with the named daemon. This update corrects this bug and
  restores the behavior prior to that update.

  Updating the bind package in Red Hat Enterprise Linux 3 could result in
  nonfunctional configuration in case the bind-libs package was not updated.
  This update corrects this bug by adding the correct dependency on
  bind-libs.

  Users of BIND are advised to upgrade to these updated packages, which
  contain backported patches to correct these issues.




Solution : http://rhn.redhat.com/errata/RHSA-2007-0044.html
Risk factor : High';

 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the bind packages";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"bind-9.2.1-8.EL2", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-devel-9.2.1-8.EL2", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-utils-9.2.1-8.EL2", release:"RHEL2.1") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-9.2.4-20.EL3", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-chroot-9.2.4-20.EL3", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-devel-9.2.4-20.EL3", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-libs-9.2.4-20.EL3", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-utils-9.2.4-20.EL3", release:"RHEL3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-9.2.4-24.EL4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-chroot-9.2.4-24.EL4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-devel-9.2.4-24.EL4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-libs-9.2.4-24.EL4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"bind-utils-9.2.4-24.EL4", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}

if ( rpm_exists(rpm:"bind-", release:"RHEL2.1") )
{
 set_kb_item(name:"CVE-2007-0494", value:TRUE);
}
if ( rpm_exists(rpm:"bind-", release:"RHEL3") )
{
 set_kb_item(name:"CVE-2007-0494", value:TRUE);
}
if ( rpm_exists(rpm:"bind-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2007-0494", value:TRUE);
}

set_kb_item(name:"RHSA-2007-0044", value:TRUE);
