#
# (C) Tenable Network Security
#
#
# The text of this plugin is (C) Red Hat Inc.

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24951);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2006-4226");

 name["english"] = "RHSA-2007-0152: mysql";
 
 script_name(english:name["english"]);
 
 desc["english"] = '

  Updated mysql packages that fix a security flaw are now available for Red
  Hat Enterprise Linux 4.

  This update has been rated as having moderate security impact by the Red Hat
  Security Response Team.

  MySQL is a multi-user, multi-threaded SQL database server. MySQL is a
  client/server implementation consisting of a server daemon (mysqld) and
  many different client programs and libraries.

  A flaw was found in the way MySQL handled case sensitive database names. A
  user with the ability to create databases could gain unauthorized access to
  other databases hosted by the MySQL server. (CVE-2006-4226)

  This flaw does not affect the version of MySQL distributed with Red Hat
  Enterprise Linux 2.1, 3, or 5.

  All users of the MySQL server are advised to upgrade to these updated
  packages, which contain a backported patch which fixes this issue.




Solution : http://rhn.redhat.com/errata/RHSA-2007-0152.html
Risk factor : High';

 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the mysql packages";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"mysql-4.1.20-2.RHEL4.1", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mysql-bench-4.1.20-2.RHEL4.1", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mysql-devel-4.1.20-2.RHEL4.1", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mysql-server-4.1.20-2.RHEL4.1", release:"RHEL4") )
{
 security_hole(0);
 exit(0);
}

if ( rpm_exists(rpm:"mysql-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2006-4226", value:TRUE);
}

set_kb_item(name:"RHSA-2007-0152", value:TRUE);
