#
# (C) Tenable Network Security
#
# This plugin text was extracted from SuSE Security Advisory SUSE-SA:2007:006
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(24460);
 script_version ("$Revision: 1.1 $");
 
 name["english"] = "SUSE-SA:2007:006: mozilla";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory SUSE-SA:2007:006 (mozilla).


A number of security issues have been fixed in the Mozilla browser
suite, which could be used by remote attackers to gain privileges,
access to confidential information or cause denial of service attacks.

Since the Mozilla Suite 1.7 branch is no longer maintained this
update most of our older products to use the Mozilla Seamonkey Suite
version 1.0.7.

Security issues we fixed (compared from last seamonkey update round
only) are listed below. More Details regarding the problems can be
found on this page:
http://www.mozilla.org/projects/security/known-vulnerabilities.html

The updated packages includes fixes for the following security problems:
CVE-2006-6497</a>/<a href='http://www.mozilla.org/security/announce/2006/mfsa2006-68.html'>MFSA 2006-68: Crashes with evidence of memory corruption
were fixed in the layout engine.
CVE-2006-6498</a>/<a href='http://www.mozilla.org/security/announce/2006/mfsa2006-68.html'>MFSA 2006-68: Crashes with evidence of memory corruption
were fixed in the javascript engine.
CVE-2006-6499</a>/<a href='http://www.mozilla.org/security/announce/2006/mfsa2006-68.html'>MFSA 2006-68: Crashes regarding floating point usage
were fixed. Linux is not affected.
CVE-2006-6501</a>/<a href='http://www.mozilla.org/security/announce/2006/mfsa2006-70.html'>MFSA 2006-70: A privilege escalation using a watch
point was fixed.
CVE-2006-6502</a>/<a href='http://www.mozilla.org/security/announce/2006/mfsa2006-71.html'>MFSA 2006-71: A LiveConnect crash finalizing JS objects
was fixed.
CVE-2006-6503</a>/<a href='http://www.mozilla.org/security/announce/2006/mfsa2006-72.html'>MFSA 2006-72: A XSS problem caused by setting img.src
to javascript: URI was fixed.
CVE-2006-6504</a>/<a href='http://www.mozilla.org/security/announce/2006/mfsa2006-73.html'>MFSA 2006-73: A Mozilla SVG Processing Remote Code
Execution was fixed.
CVE-2006-6505</a>/<a href='http://www.mozilla.org/security/announce/2006/mfsa2006-74.html'>MFSA 2006-74: Some Mail header processing heap overflows
were fixed.
CVE-2006-6506</a>/<a href='http://www.mozilla.org/security/announce/2006/mfsa2006-75.html'>MFSA 2006-75: The RSS Feed-preview referrer leak
was fixed.
CVE-2006-6507</a>/<a href='http://www.mozilla.org/security/announce/2006/mfsa2006-76.html'>MFSA 2006-76: A XSS problem using outer window's Function
object was fixed.

Problems with these packages we could not fix yet:

- On SUSE Linux Desktop 1.0 the upgrade was not possible yet due
to library inter-dependencies problems between Mozilla and GTK+.

We recommend deinstalling mozilla on this product.

- The SUSE Linux Enterprise Server 8 update has shown regressions
in flash and java plugin handling which we are investigating.

- On SUSE Linux 10.0 epiphany stops working for still unknown reasons.

We are investigating this and recommend using mozilla or
MozillaFirefox directly instead.


Solution : http://www.suse.de/security/http://www.novell.com/linux/security/advisories/2007_06_mozilla.html
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the mozilla package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"beagle-0.0.13.3-9.10", release:"SUSE10.0") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"blam-1.8.2-7.4", release:"SUSE10.0") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"devhelp-0.10-6.1", release:"SUSE10.0") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"epiphany-1.8.0-3.1", release:"SUSE10.0") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"epiphany-doc-1.8.0-3.1", release:"SUSE10.0") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"epiphany-extensions-1.8.0-3.1", release:"SUSE10.0") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"liferea-1.0-19.1", release:"SUSE10.0") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mozilla-1.8_seamonkey_1.0.7-1.1", release:"SUSE10.0") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mozilla-calendar-1.8_seamonkey_1.0.7-1.1", release:"SUSE10.0") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mozilla-devel-1.8_seamonkey_1.0.7-1.1", release:"SUSE10.0") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mozilla-dom-inspector-1.8_seamonkey_1.0.7-1.1", release:"SUSE10.0") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mozilla-irc-1.8_seamonkey_1.0.7-1.1", release:"SUSE10.0") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mozilla-mail-1.8_seamonkey_1.0.7-1.1", release:"SUSE10.0") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mozilla-spellchecker-1.8_seamonkey_1.0.7-1.1", release:"SUSE10.0") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mozilla-venkman-1.8_seamonkey_1.0.7-1.1", release:"SUSE10.0") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"beagle-0.0.8-3.7", release:"SUSE9.3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"blam-1.6.1-9.4", release:"SUSE9.3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"devhelp-0.10-35.1", release:"SUSE9.3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"epiphany-1.6.0-6.3", release:"SUSE9.3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"epiphany-doc-1.6.0-6.3", release:"SUSE9.3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"epiphany-extensions-1.6.0-4.2", release:"SUSE9.3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"galeon-2.0.0-28.1", release:"SUSE9.3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mozilla-1.8_seamonkey_1.0.7-1.1", release:"SUSE9.3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mozilla-calendar-1.8_seamonkey_1.0.7-1.1", release:"SUSE9.3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mozilla-devel-1.8_seamonkey_1.0.7-1.1", release:"SUSE9.3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mozilla-dom-inspector-1.8_seamonkey_1.0.7-1.1", release:"SUSE9.3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mozilla-irc-1.8_seamonkey_1.0.7-1.1", release:"SUSE9.3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mozilla-mail-1.8_seamonkey_1.0.7-1.1", release:"SUSE9.3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mozilla-spellchecker-1.8_seamonkey_1.0.7-1.1", release:"SUSE9.3") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"mozilla-venkman-1.8_seamonkey_1.0.7-1.1", release:"SUSE9.3") )
{
 security_hole(0);
 exit(0);
}
