#
# (C) Tenable Network Security, Inc.
#


if (description)
{
  script_id(25120);
  script_version("$Revision: 1.4 $");

  script_cve_id("CVE-2007-2478", "CVE-2007-2479");
  script_bugtraq_id(23730);

  script_name(english:"Trillian < 3.1.5.0 Multiple Vulnerabilities");
  script_summary(english:"Checks version number of Trillian");

  desc = "
Synopsis :

The remote host contains an instant messenging application which is
susceptible to multiple issues. 

Description :

The version of Trillian installed on the remote host reportedly
contains several buffer overflow issues involving its handling of
UTF-8 characters.  A remote attacker may be able to leverage these
issues to execute arbitrary code as the current user. 

See also :

http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=522
http://archives.neohapsis.com/archives/fulldisclosure/2007-05/0011.html
http://blog.ceruleanstudios.com/?p=129#more-129

Solution :

Upgrade to Trillian 3.1.5.0 or later. 

Risk factor :

High / CVSS Base Score : 8.0
(AV:R/AC:H/Au:NR/C:C/I:C/A:C/B:N)";
  script_description(english:desc);

  script_category(ACT_GATHER_INFO);
  script_family(english:"Windows");

  script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc.");

  script_dependencies("trillian_installed.nasl");
  script_require_keys("SMB/Trillian/Version");

  exit(0);
}


ver = get_kb_item("SMB/Trillian/Version");
if (ver && ver =~ "^([0-2]\.|3\.(0\.|1\.[0-4]\.))")
  security_hole(get_kb_item("SMB/transport"));
