#
# (C) Tenable Network Security
#

if(description)
{
 script_id(25023);
 script_version("$Revision: 1.2 $");
 script_cve_id("CVE-2007-1205");
 script_bugtraq_id(23337);

 
 name["english"] = "Vulnerability in Microsoft Agent Could Allow Remote Code Execution (932168)";

 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

It is possible to spoof the content of a web site.

Description :

The remote version of Windows contains a flaw in the Microsoft Agent service 
which may allow an attacker to execute code on the remote host.

To exploit this flaw, an attacker would need to set up a rogue web site and 
lure a victim on the remote host into visiting it.

Solution : 

Microsoft has released a set of patches for Windows 2000, XP, 2003 and Vista :

http://www.microsoft.com/technet/security/bulletin/ms07-020.mspx

Risk factor : 

High / CVSS Base Score : 8.0
(AV:R/AC:H/Au:NR/C:C/I:C/A:C/B:N)";


 script_description(english:desc["english"]);
 
 summary["english"] = "Determines the presence of update 932168";

 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "Windows : Microsoft Bulletins";
 script_family(english:family["english"]);
 
 script_dependencies("smb_hotfixes.nasl");
 script_require_keys("SMB/Registry/Enumerated");
 script_require_ports(139, 445);
 exit(0);
}


include("smb_hotfixes_fcheck.inc");
include("smb_hotfixes.inc");
include("smb_func.inc");


if ( hotfix_check_sp(xp:3, win2003:3, win2k:6) <= 0 ) exit(0);

if (is_accessible_share())
{
 if ( hotfix_is_vulnerable (os:"5.2", sp:0, file:"Agentdpv.dll", version:"2.0.0.3425", dir:"\msagent") ||
      hotfix_is_vulnerable (os:"5.2", sp:1, file:"Agentdpv.dll", version:"5.2.3790.1243", dir:"\msagent") ||
      hotfix_is_vulnerable (os:"5.2", sp:2, file:"Agentdpv.dll", version:"5.2.3790.1243", dir:"\msagent") ||
      hotfix_is_vulnerable (os:"5.1", sp:2, file:"Agentdpv.dll", version:"2.0.0.3425", dir:"\msagent") ||
      hotfix_is_vulnerable (os:"5.0", file:"Agentdpv.dll", version:"2.0.0.3425", dir:"\msagent") )
   security_hole(get_kb_item("SMB/transport"));
 
 hotfix_check_fversion_end(); 
 exit (0);
}
else if ( hotfix_missing(name:"932168") > 0 )
	 security_hole(get_kb_item("SMB/transport"));


